export class ServerClock {
    private serverStartDate 

    constructor(time: string) {
        // parse time
        var timeParts = time.split(/[: ]/)
        var hours = parseInt(timeParts[0])
        var minutes = parseInt(timeParts[1])
        var seconds = parseInt(timeParts[2])

        let now = new Date()

        now.setHours(hours)
        now.setMinutes(minutes)
        now.setSeconds(seconds)

        this.serverStartDate = now
    }

    getServerTime(): string {
        let now = new Date()
        let diff = now.getTime() - this.serverStartDate.getTime()
        let serverTime = new Date()
        serverTime.setTime(this.serverStartDate.getTime() + diff)
        
        return serverTime.toLocaleTimeString()
    }
}